import 'package:path/path.dart' as path;

const _icon = 'ic_launcher.png';
const _iconXml = 'ic_launcher.xml';
const _adaptiveForegroundIcon = 'ic_launcher_foreground.png';
const _adaptiveBackgroundIcon = 'ic_launcher_background.png';

String findResFolderPath([String flavor = 'main']) =>
    path.join('android', 'app', 'src', flavor, 'res');

String findIconPath({
  required String sizeDirectory,
}) =>
    path.join(findResFolderPath(), sizeDirectory, _icon);

String findAdaptiveIconForegroundPath({
  required String sizeDirectory,
}) =>
    path.join(findResFolderPath(), sizeDirectory, _adaptiveForegroundIcon);

String findAdaptiveIconBackgroundPath({
  required String sizeDirectory,
}) =>
    path.join(findResFolderPath(), sizeDirectory, _adaptiveBackgroundIcon);

String findAdaptiveXmlPath() =>
    path.join(findResFolderPath(), 'mipmap-anydpi-v26', _iconXml);
